aboutsummaryrefslogtreecommitdiff
path: root/sh/profile.d/options.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/profile.d/options.sh')
-rw-r--r--sh/profile.d/options.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/sh/profile.d/options.sh b/sh/profile.d/options.sh
index f89967cb..58376fb3 100644
--- a/sh/profile.d/options.sh
+++ b/sh/profile.d/options.sh
@@ -23,8 +23,9 @@ options() {
# Iterate through remaining arguments (desired options), creating files to
# show they're available if found in the help output
for opt do
- command -p grep -q -- '[^[:alnum:]]--'"$opt"'[^[:alnum:]]' help &&
- touch -- "$opt"
+ command -p grep -q -- \
+ '[^[:alnum:]]--'"$opt"'[^[:alnum:]]' help || continue
+ touch -- "$opt"
done
}